var w_img;
//记录图片初始宽度
var h_img;
//记录图片初始高度

var payType = 'iospay';

var productIOS = '';
//ios商品ID

var entityId;
//专题ID

var orderId;

var uiMode; 

var orderIndex;//默认显示订购图

var come_type;//1、广告也进入  2:首页进入  3、专题页进入

apiready = function() {
	orderIndex = api.pageParam.orderIndex || 0;
	// if (!orderIndex) {
	// 	orderIndex = 0;
	// }
	uiMode = api.uiMode;
	setStyle();
	
	come_type = api.pageParam.come_type;
	
	productId = api.pageParam.productid;
	entityId = api.pageParam.entityId;
	

	
	getApkList(orderIndex);
};


function setStyle(){
	
	if(uiMode == 'pad'){
		$api.css($api.byId('order_type'),'height:80px;line-height:80px;font-size:1.5rem;');
		$api.css($api.byId('submit'),'line-height:60px;');
	}else{
		$api.css($api.byId('order_type'),'height:40px;line-height:40px;');
		$api.css($api.byId('submit'),'line-height:30px;');
	}
} 


//加载商品列表
function getApkList(orderIndex){
	var bigPic;
	var fix;
	var f_name;
	var proid='';
	api.ajax({ 
	    url: orderURL+'apkList/'+channelType+'/'+apkType,
	    method: 'post',
	    cache:false,
        timeout:30,
        dataType:'json',
	    data: {},
		returnAll:false,
    },function(ret,err){
    	if(ret){  
    	    var html =	'';	
			for (var i = 0; i <ret.length; i++) {
				bigPic = ret[i].setprice_apk_big_prcture;
				fix = bigPic.substring(bigPic.lastIndexOf('.')+1,bigPic.length);
				f_name= bigPic.replace('.'+fix,'');
				url=f_name +'_onblur.'+fix;			
				html += '<div class="item'+(i+1)+'">' 
				html += '<img onclick="selOrder(\''+i+'\',\''+ret[i].id+'\')" src="'+url+'" />';
				html += '<img class="toOrder" src="'+bigPic+'" />';
				html += '</div>'
				if(orderIndex==i){
					proid=ret[i].id;
				}
			}
			$('#order_list').html(html);
			
			selOrder(orderIndex,proid)
		}
	});


}



/**
 * 下订单 
 * @param {Object} entityid 产品id
 */
function payOrder(entityid,proid){
	var uniqueStr = getDeviceId();
	if(!entityId){
		entityid='';
	}
	api.ajax({
		url: andOrderURL  + 'insert/' +proid+'/'+apkType+'/'+channelType,
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {
	    	values: { 
	           entityid:entityid
//	           orderFrom:'phone_topics_page',
	        }		
		},
		returnAll : false,
	}, function(ret, err) {
    	if (ret) {
    		if(ret.unlogined==1){
				var  phoneNumber = $api.getStorage('loginid');
				if(phoneNumber ==null || phoneNumber =='' || phoneNumber ==undefined || phoneNumber =='undefined'){
					phoneNumber='';
				}
				api.ajax({
					url : authURL + 'v2/' + uniqueStr + '/' + channelType + '/' + apkType,
					method : 'post',
					cache : false,
					timeout : 30,
					dataType : 'json',
					data : {
						values : {
							deviceName : deviceName,
							phoneNumber:phoneNumber
							
						}
					},
					returnAll : false,
				}, function(rets, errs) {
					if (rets) {
						console.log('unlogined');
						$api.setStorage('uCode', rets.uCode);
						findUserMsgV2();//查询用户信息
						payOrder(entityid,proid);
						return;
					}
		
				});    		
    		}else{
				var data = ret.code;
				if (data == '0000') {//下单成功
					//查询下单的产品
					findOrderByID(ret.orderId);					
					
				}else {
					api.toast({
						msg : '系统繁忙',
						duration : 3000,
						global : true
					});
//					setTimeout(function() {
//						api.closeWin();
//					}, 500)
				}
    		
    		}  	    	        


    	}
    });
}




/**
 * 查询订单信息
 * @param {Object} orderid 订单id
 */
var price_total;
function findOrderByID(orderid){
	api.ajax({
	    url: orderURL + 'find/' + orderid,
	    method: 'post',
	    cache:false,
        timeout:30,
        dataType:'json',
	    data: {
	    	values: {payType:payType}
	     },
		returnAll:false,
    },function(ret,err){
    	if(ret){
//			$('#pay_total').text('总计:￥'+ret.order.price);
  			orderId= ret.order.id;				
  			price_total = ret.order.price;	
  			productIOS = ret.order.setpriceApk.ios_productid;
  		
    	}else{
    		console.log('-findOrderByID-err-'+JSON.stringify(err))
    	}
    });


}

//确认支付
function confirmPay(){	
	if(payType=='iospay') iosPay();
}

//ios内购处理
function iosPay(){
	var iap = api.require('iap');	
	iap.purchase({
	    productId: productIOS,
	    applicationUsername:orderId
	}, function(ret, err) {
	    if (ret) {
	      if(ret.state==1){	   	
			api.openWin({
				name : 'index',
				url : '../index.html',
				reload : true
			});
//	        var transactionId=ret.transactionId;
//	         var receipt =ret.receipt;	
//	         var applicationUsername=ret.applicationUsername;//orderid
//	         console.log(applicationUsername+'------applicationUsername');
//	         inserPayLog(transactionId,receipt,applicationUsername);//        
//			api.ajax({
//			    url: orderURL + 'iosPayLog',
//			    method: 'post',
//			    cache:false,
//		        timeout:30,
//		        dataType:'json',
//			    data: {
//			    	values: {
//			    		trade_number_id:transactionId,
//			    		orderid:applicationUsername,
//			    		apk_type:apkType,
//			    		receipt:receipt
//
//			    	}
//			     },
//				returnAll:false,
//		    },function(data,errs){
//		    	if(data){
//		    		if(data.code=='200'){	    		
//						api.toast({
//							msg : '支付成功',
//							duration : 3000,
//							global : true
//						});
//						setTimeout(function(){
//							api.closeWin();
//						},500);							
//						findUserMsgV2();//录入用户信息在本地
//						api.openWin({
//							name : 'index',
//							url : '../index.html',
//							reload : true
//						});
//							
//							
//		    		}
//		    	}
//		    });	 
          }else if(ret.state==2){
          }
	    } else {
	        //console.log(JSON.stringify(err));
	    }
	});	
}



function selOrderType(index){
	var len = $api.domAll('.order_type span');
	for (var i = 0; i < len.length; i++) {
		if (i == index) {
			$api.addCls(len[i], "active");
		} else {
			$api.removeCls(len[i], "active");
		}
	}

}
	
	//订购图片点击效果
function selOrder(index,proid){
	var len = $api.domAll('.order div');
	for (var i = 0; i < len.length; i++) {
		if (i == index) {
			$api.css($api.eq(len[i], 1), 'display:none;');
			$api.css($api.eq(len[i], 2), 'display:block;');
		} else {
			$api.css($api.eq(len[i], 1), 'display:block;');
			$api.css($api.eq(len[i], 2), 'display:none;');
		}
	}
		var productid = api.pageParam.productid;
		if(productid != undefined && productid != '' && productid != null){
			payOrder('',proid);
		}else{
			payOrder(entityId,proid);
		}	

}